class puppet_enterprise::profile::console::apache_proxy (
  $certname = $::clientcert,
  $trapperkeeper_proxy_listen_address = $puppet_enterprise::params::plaintext_address,
  $trapperkeeper_proxy_listen_port    = $puppet_enterprise::params::console_services_listen_port,
  $ssl_listen_address = $puppet_enterprise::params::ssl_address,
  $ssl_listen_port    = $puppet_enterprise::console_port,
) inherits puppet_enterprise {
  $cert_dir = '/opt/puppet/share/console-services/certs'
  # puppet_enterprise::certs { 'pe-console-services' : ... } -> creates these files
  $ssl_key = "${cert_dir}/${certname}.private_key.pem"
  $ssl_cert =  "${cert_dir}/${certname}.cert.pem"
  # Uses
  # $trapperkeeper_proxy_listen_address
  # $trapperkeeper_proxy_listen_port
  # $ssl_key
  # $ssl_cert
  # $ssl_listen_address
  # $ssl_listen_port
  file { '/etc/puppetlabs/httpd/conf.d/puppetproxy.conf':
    owner   => $puppet_enterprise::params::root_user,
    group   => $puppet_enterprise::params::root_group,
    mode    => '0644',
    content => template('puppet_enterprise/profile/console-services/puppetproxy.conf.erb'),
    notify  => Service['pe-httpd'],
    require => Puppet_enterprise::Certs['pe-console-services::server_cert'],
  }
}
