require 'spec_helper'

describe 'puppet_enterprise::profile::console::apache_proxy' do
  before :all do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'console.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
    }

    @params = {
      'certname' => 'console_services.rspec',
      'trapperkeeper_proxy_listen_address' => '0.0.0.0',
      'trapperkeeper_proxy_listen_port' => 1234,
      'ssl_listen_address' => '0.0.0.0',
      'ssl_listen_port' => 6789,
    }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }
  let(:confdir) { '/etc/puppetlabs/httpd/conf.d' }
  let(:cert_dir) { '/opt/puppet/share/console-services/certs' }

  context "when the parameters are valid" do
    it { should contain_file("#{confdir}/puppetproxy.conf").with_content(%r[Listen\s*0\.0\.0\.0:6789]) }
    it { should contain_file("#{confdir}/puppetproxy.conf").with_content(%r[SSLCertificateFile\s*#{cert_dir}/console_services.rspec.cert.pem]) }
      it { should contain_file("#{confdir}/puppetproxy.conf").with_content(%r[ProxyPass\s*/\s*http://0.0.0.0:1234]) }
    it { should contain_file("#{confdir}/puppetproxy.conf").with(:owner => "root", :group => "root", :mode => "0644") }
  end
end
