require 'spec_helper'

describe 'puppet_enterprise::profile::master::puppetdb' do
  before :each do
    @facter_facts = {
      'osfamily'          => 'Debian',
      'operatingsystem'   => 'Debian',
      'lsbmajdistrelease' => '6',
      'puppetversion'     => '3.6.2 (Puppet Enterprise 3.3.0)',
      'is_pe'             => 'true',
      'fqdn'              => 'puppetdb.rspec',
      'clientcert'        => 'awesomecert',
      'pe_concat_basedir'    => '/tmp/file',
    }

    @params = {
      'puppetdb_host'            => 'puppetdb.rspec',
      'puppetdb_port' => '1234',
    }
  end

  let(:facts) { @facter_facts }
  let(:params) { @params }
  let(:confdir) { "/etc/puppetlabs/puppet" }

  context "managing puppet.conf" do
    it { should contain_pe_ini_setting('storeconfigs').with_value('true') }
    it { should contain_pe_ini_setting('storeconfigs_backend').with_value('puppetdb') }
    it { should contain_pe_ini_subsetting('reports_puppetdb').with_setting('reports').with_subsetting('puppetdb') }
  end
  context "managing puppetdb.conf" do
    it { should contain_file("#{confdir}/puppetdb.conf") }
    it { should contain_pe_ini_setting('puppetdb.conf_server').with_value('puppetdb.rspec') }
    it { should contain_pe_ini_setting('puppetdb.conf_port').with_value('1234') }
    it { should contain_pe_ini_setting('puppetdb.conf_soft_write_failure').with_value('false') }
  end
end
